<?php
	
$home_interior_decor_tp_theme_css = '';

	$home_interior_decor_tp_color_option = get_theme_mod('home_interior_decor_tp_color_option');

	// 1st color
	$home_interior_decor_tp_color_option_first = get_theme_mod('home_interior_decor_tp_color_option_first', '#2CBCBE');
	if ($home_interior_decor_tp_color_option_first) {
		$home_interior_decor_tp_theme_css .= ':root {';
		$home_interior_decor_tp_theme_css .= '--color-primary1: ' . esc_attr($home_interior_decor_tp_color_option_first) . ';';
		$home_interior_decor_tp_theme_css .= '}';
	}

	// 2nd color
	$home_interior_decor_tp_color_option_second = get_theme_mod('home_interior_decor_tp_color_option_second', '#FFB803');
	if ($home_interior_decor_tp_color_option_second) {
		$home_interior_decor_tp_theme_css .= ':root {';
		$home_interior_decor_tp_theme_css .= '--color-primary2: ' . esc_attr($home_interior_decor_tp_color_option_second) . ';';
		$home_interior_decor_tp_theme_css .= '}';
	}

// preloader
$home_interior_decor_tp_preloader_color1_option = get_theme_mod('home_interior_decor_tp_preloader_color1_option');

if($home_interior_decor_tp_preloader_color1_option != false){
$home_interior_decor_tp_theme_css .='.center1{';
	$home_interior_decor_tp_theme_css .='border-color: '.esc_attr($home_interior_decor_tp_preloader_color1_option).' !important;';
$home_interior_decor_tp_theme_css .='}';
}
if($home_interior_decor_tp_preloader_color1_option != false){
$home_interior_decor_tp_theme_css .='.center1 .ring::before{';
	$home_interior_decor_tp_theme_css .='background: '.esc_attr($home_interior_decor_tp_preloader_color1_option).' !important;';
$home_interior_decor_tp_theme_css .='}';
}

$home_interior_decor_tp_preloader_color2_option = get_theme_mod('home_interior_decor_tp_preloader_color2_option');

if($home_interior_decor_tp_preloader_color2_option != false){
$home_interior_decor_tp_theme_css .='.center2{';
	$home_interior_decor_tp_theme_css .='border-color: '.esc_attr($home_interior_decor_tp_preloader_color2_option).' !important;';
$home_interior_decor_tp_theme_css .='}';
}
if($home_interior_decor_tp_preloader_color2_option != false){
$home_interior_decor_tp_theme_css .='.center2 .ring::before{';
	$home_interior_decor_tp_theme_css .='background: '.esc_attr($home_interior_decor_tp_preloader_color2_option).' !important;';
$home_interior_decor_tp_theme_css .='}';
}

$home_interior_decor_tp_preloader_bg_color_option = get_theme_mod('home_interior_decor_tp_preloader_bg_color_option');

if($home_interior_decor_tp_preloader_bg_color_option != false){
$home_interior_decor_tp_theme_css .='.loader{';
	$home_interior_decor_tp_theme_css .='background: '.esc_attr($home_interior_decor_tp_preloader_bg_color_option).';';
$home_interior_decor_tp_theme_css .='}';
}

$home_interior_decor_tp_footer_bg_color_option = get_theme_mod('home_interior_decor_tp_footer_bg_color_option');


if($home_interior_decor_tp_footer_bg_color_option != false){
$home_interior_decor_tp_theme_css .='#footer{';
	$home_interior_decor_tp_theme_css .='background: '.esc_attr($home_interior_decor_tp_footer_bg_color_option).';';
$home_interior_decor_tp_theme_css .='}';
}

// logo tagline color
$home_interior_decor_site_tagline_color = get_theme_mod('home_interior_decor_site_tagline_color');

if($home_interior_decor_site_tagline_color != false){
$home_interior_decor_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
$home_interior_decor_tp_theme_css .='color: '.esc_attr($home_interior_decor_site_tagline_color).';';
$home_interior_decor_tp_theme_css .='}';
}

$home_interior_decor_logo_tagline_color = get_theme_mod('home_interior_decor_logo_tagline_color');
if($home_interior_decor_logo_tagline_color != false){
$home_interior_decor_tp_theme_css .='p.site-description{';
$home_interior_decor_tp_theme_css .='color: '.esc_attr($home_interior_decor_logo_tagline_color).';';
$home_interior_decor_tp_theme_css .='}';
}

// footer widget title color
$home_interior_decor_footer_widget_title_color = get_theme_mod('home_interior_decor_footer_widget_title_color');
if($home_interior_decor_footer_widget_title_color != false){
$home_interior_decor_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$home_interior_decor_tp_theme_css .='color: '.esc_attr($home_interior_decor_footer_widget_title_color).';';
$home_interior_decor_tp_theme_css .='}';
}

// copyright text color
$home_interior_decor_footer_copyright_text_color = get_theme_mod('home_interior_decor_footer_copyright_text_color');
if($home_interior_decor_footer_copyright_text_color != false){
$home_interior_decor_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$home_interior_decor_tp_theme_css .='color: '.esc_attr($home_interior_decor_footer_copyright_text_color).'!important;';
$home_interior_decor_tp_theme_css .='}';
}

// header image title color
$home_interior_decor_header_image_title_text_color = get_theme_mod('home_interior_decor_header_image_title_text_color');
if($home_interior_decor_header_image_title_text_color != false){
$home_interior_decor_tp_theme_css .='.box-text h2{';
$home_interior_decor_tp_theme_css .='color: '.esc_attr($home_interior_decor_header_image_title_text_color).';';
$home_interior_decor_tp_theme_css .='}';
}

// menu color
$home_interior_decor_menu_color = get_theme_mod('home_interior_decor_menu_color');
if($home_interior_decor_menu_color != false){
$home_interior_decor_tp_theme_css .='.main-navigation a{';
$home_interior_decor_tp_theme_css .='color: '.esc_attr($home_interior_decor_menu_color).';';
$home_interior_decor_tp_theme_css .='}';
}


//Footer Font Weight
$home_interior_decor_footer_copyright_title_font_weight = get_theme_mod( 'home_interior_decor_footer_copyright_title_font_weight','');
if($home_interior_decor_footer_copyright_title_font_weight == '100'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 100;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '200'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 200;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '300'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 300;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '400'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 400;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '500'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 500;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '600'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 600;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '700'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 700;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '800'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 800;';
$home_interior_decor_tp_theme_css .='}';
}else if($home_interior_decor_footer_copyright_title_font_weight == '900'){
$home_interior_decor_tp_theme_css .='#footer .site-info p {';
    $home_interior_decor_tp_theme_css .='font-weight: 900;';
$home_interior_decor_tp_theme_css .='}';
}